Bug 91473 - [PATCH] multimedia/quodlibet, i18n problem with quodlibet.mo
[PATCH] multimedia/quodlibet, i18n problem with quodlibet.mo
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2006-01-07 19:50 UTC by bh
Modified: 2006-01-08 12:36 UTC (History)
1 user (show)

See Also:

patch-quodlibet.py (743 bytes, text/plain)
2006-01-07 19:50 UTC, bh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bh 2006-01-07 19:50:02 UTC
QuodLibet's <lang>.mo [1], quodlibet.mo, is not found by default on FreeBSD.
The path of i18ndir is responsible for it. 

[1] <URL:http://www.sacredchao.net/quodlibet/wiki/Development/Translation>

Fix: This is the patch file. Please, put it into ${FILESDIR}.
How-To-Repeat: After patch and re-install, I tried as follow:

% env LANG=de_DE.UTF-8 quodlibet
% env LANG=ru_RU.UTF-8 quodlibet
% env LANG=<other-lang>.UTF-8 quodlibet

It worked correctly.
Comment 1 Edwin Groothuis freebsd_committer 2006-01-07 19:52:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 changbom.yoon 2006-01-08 05:02:34 UTC
Sat, 7 Jan 2006 19:52:04 UT, Edwin Groothuis <edwin@freebsd.org>:
> Maintainer of multimedia/quodlibet,
> Please note that PR ports/91473 has just been submitted.
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/91473

I've done testing the patch. It works very good. :-]
Comment 3 Edwin Groothuis freebsd_committer 2006-01-08 08:10:25 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 4 Edwin Groothuis freebsd_committer 2006-01-08 12:36:42 UTC
State Changed
From-To: open->closed

Committed, thanks!